import type { ElementConstructor } from '../interfaces/ElementConstructor';
interface ElementOptions {
    /**
     * External theme is required for this element.
     * Set to `false` to use internally defined styles only.
     */
    theme?: boolean;
}
type DecoratorFunction = (target: ElementConstructor) => void;
/**
 * Registers a Custom Element
 * into the ELF element registry.
 * Use this instead of `customElements.define`
 * to allow for ELF theming support and telemetry.
 * @param name tag name
 * @param options element registration options
 * @returns Element registration decorator
 */
export declare const customElement: (name: string, options?: ElementOptions) => DecoratorFunction;
export {};
