declare global {
    interface GlobalEventHandlersEventMap {
        /**
         * @event tap
         * Simulates consistent click/tap events across pointer/touch devices
         */
        tap: TapEvent;
        /**
         * @event tapstart
         * Simulates consistent mousedown/touchstart events across pointer/touch devices
         */
        tapstart: TapEvent;
        /**
         * @event tapend
         * Simulates consistent mouseup/touchend events across pointer/touch devices
         */
        tapend: TapEvent;
    }
}
/**
 * Simulates consistent click/tap events across pointer/touch devices
 */
export declare class TapEvent extends Event {
    pageX: number;
    pageY: number;
    screenX: number;
    screenY: number;
    clientX: number;
    clientY: number;
    altKey: boolean;
    ctrlKey: boolean;
    metaKey: boolean;
    shiftKey: boolean;
    constructor(type: string, eventInitDict?: EventInit);
}
