import { MESSAGE_TYPE } from './constants.js';
/**
 * **Notice**\
 * Used to show notices in the console.
 */
export declare class Notice {
    /**
     * Flag used to check whether the notice has
     * already been shown in the console.
     */
    shown: boolean;
    /**
     * The message to be used for the
     * warning notice.
     */
    protected message: string;
    /**
     * Create a warning notice to show in the console.
     * @param message Warning message to show in the console
     * @param supportURL Support URL to show additional information
     * @param type Type of Notice to show at top of message
     */
    constructor(message: string, supportURL?: string, type?: MESSAGE_TYPE);
    /**
     * Shows the warning notice in the console
     * @returns {void}
     */
    show(): void;
    /**
     * Shows the warning notice only once
     * @returns {void}
     */
    once(): void;
}
