/**
 * Custom Style Registry takes theme styles
 * and applies them to elements when they are defined.
 */
export declare abstract class CustomStyleRegistry {
    /**
     * Define a style definition for a custom element.
     * @param name tag name of the custom element
     * @param css css style string
     * @returns {void}
     */
    static define(name: string, css: string): void;
    /**
     * Gets any custom style that has already been defined.
     * @param name tag name of the custom element
     * @returns css styles, based on the tag name
     */
    static get(name: string): string;
}
