import type { BasicElement } from '../elements/BasicElement';
declare const FocusedPropertyKey: unique symbol;
declare abstract class FocusRegistry {
    /**
     * Connect an element to focus global listener
     * @param element Element to register the connection of
     * @returns {void}
     */
    static connect(element: BasicElement): void;
    /**
     * Disconnect an element of focus global listener
     * @param element Element to register the disconnection of
     * @returns {void}
     */
    static disconnect(element: BasicElement): void;
}
export { FocusedPropertyKey, FocusRegistry };
