/**
 * Native Style Registry takes theme styles
 * for standard HTML elements and applies these to the document.
 */
export declare abstract class NativeStyleRegistry {
    /**
     * Defines a style definition for a native element.
     * @param name tag name of the element
     * @param css css styles for the element
     * @returns {void}
     */
    static define(name: string, css: string): void;
    /**
     * Gets any native style that has already been defined.
     * @param name tag name of the element
     * @returns css styles, based on the tag name
     */
    static get(name: string): string;
}
