const callbacks = new Map();
/**
 * Fires a callback when both element and theme are defined.
 * @param name tag name of the element
 * @param callback callback to execute when both element and theme are ready
 * @returns {void}
 */
export const ready = function (name, callback) {
    const callbackCollection = callbacks.get(name) || [];
    callbackCollection.push(callback);
    if (callbackCollection.length === 2) {
        try {
            callbackCollection.forEach((callback) => callback && callback());
        }
        catch (e) {
            setTimeout(() => {
                throw e;
            });
        }
        finally {
            callbacks.delete(name);
        }
    }
    else {
        callbacks.set(name, callbackCollection);
    }
};
